#include "stm8s.h"
#include "stm8s_gpio.h"

#define LED_PORT GPIOB
#define LED GPIO_PIN_5

#define BTN_LED_PORT GPIOC
#define BTN_LED  GPIO_PIN_4

#define BTN_PORT GPIOD
#define BTN GPIO_PIN_2

static void delay(uint32_t t)
{
	while(t--);
}

uint8_t i;
int main( void )
{

	GPIO_DeInit(LED_PORT);
	GPIO_Init(LED_PORT, LED, GPIO_MODE_OUT_PP_LOW_FAST);

	GPIO_DeInit(BTN_LED_PORT);
	GPIO_Init(BTN_LED_PORT, BTN_LED, GPIO_MODE_OUT_PP_LOW_FAST);

	GPIO_DeInit(BTN_PORT);
	GPIO_Init(BTN_PORT, BTN, GPIO_MODE_IN_FL_NO_IT); // Input floating, no external interrupt

	i=0;
	for(;;)
  	{
		if(GPIO_ReadInputPin(BTN_PORT, BTN))
			GPIO_WriteHigh(BTN_LED_PORT, BTN_LED);
		else
			GPIO_WriteLow(BTN_LED_PORT, BTN_LED);

    		delay(1000); i++;

		if (i > 50)
		{
			GPIO_WriteReverse(LED_PORT, LED);
			i=0;
		}
  	}
}
